# Interface MessageDecoding

This type represents a decoding for a call to a known class that does not appear to be a function call, i.e., one that will result in the fallback function being invoked if there is one.

#### Category

Output

#### Hierarchy

- MessageDecoding

- Defined in codec/lib/types.ts:198

#####
Index

### Properties

abi
class
data
decodingMode
interpretations
kind

## Properties

### abi

abi: FallbackEntry | ReceiveEntry

The ABI entry for the contract's fallback or receive function that would handle this message; will be null if there is none.

- Defined in codec/lib/types.ts:211

### class

class: ContractType

The class of contract that was called, as a Format.Types.ContractType.

- Defined in codec/lib/types.ts:206

### data

data: string

The data that was sent to the contract.

- Defined in codec/lib/types.ts:215

### decodingMode

decodingMode: DecodingMode

The decoding mode that was used; see the README for more on these.

- Defined in codec/lib/types.ts:220

### interpretations

interpretations: {}

Further information about how the decoding may be interpreted. Note that interpretations may be added by things that use @truffle/codec, such as @truffle/decoder, rather than by @truffle/codec itself. See individual interpretations for details. (Currently there are none for this type.)

#### Type declaration

- Defined in codec/lib/types.ts:227

### kind

kind: "message"

The kind of decoding; indicates that this is a MessageDecoding.

- Defined in codec/lib/types.ts:202

Generated using TypeDoc